package net.java.dev.annsor;

/**
 * This method defines the contract for the CacheableFilter. There are cases that
 * classes are generated by either java.lang.reflect.Proxy or CGLIB and its not good
 * to cache the ClassDescriptors to avoid OutOfMemoryExceptions.
 * @author Richard L. Burton III
 */
public interface CacheableFilter {

    /**
     * This method checks to see if the provided class is cacheable.
     * @param clazz The class to check.
     * @return True if the class can be cached, false otherwise.
     */
    boolean isCacheable(Class clazz);

}
