package net.java.dev.annsor;

/**
 * This interface defines a contract for a Processor that wants to convert the
 * AnnotationElement into something more meaningful for the existing environment.
 * @author Richard L. Burton III
 * @version 1.0
 */
public interface Convertable {

    /**
     * This method is called before the invoke method is called and allows
     * the custom handler to convert the AnnotationElement into another object.
     * @param element The AnnotationElement to be converted.
     * @return The converted type.
     */
    Object convert(AnnotationElement element);

}
