package net.java.dev.annsor;

/**
 * Defines the contract that Annsor will call when a registered Annotation
 * is located.
 * @author Richard L. Burton III
 * @version 1.0
 * @see AnnotationElement
 */
public interface Processor {

    /**
     * When a Annotation is found and a matching <code>Processor</code> class is registered,
     * the invoke(AnnotationElement) method called. The AnnotationElement provides insight to
     * the the artifacts that the Annotation decorates.
     * @param annotationElement A value object with all the required information about the Annotation found.
     * @throws Exception Thrown if there's a problem with a subsystem.
     */
    void process(AnnotationElement annotationElement) throws Exception;

}
