package net.java.dev.annsor;

/**
 * An ProcessorFactory allows for create a new Processor for each
 * registered annotation when located.
 * @author Richard L. Burton III
 * @version 1.0
 */
public interface ProcessorFactory {

    /**
     * This method is invoked when a registered annotation is found.
     * @param annotationElement The AnnotationElement used for consuming
     *                          the registered annotation.
     * @return A new Processor that either implements Processor or is
     *         decorated with Annsor annotations.
     * @throws Exception Thrown if there is a problem with a subsystem.
     */
    Object create(AnnotationElement annotationElement) throws Exception;

}
